"use client";
import { useRouter } from "@/i18n";
import { useTranslations } from "next-intl";
import { FC } from "react";
import "./style.scss";

interface Props {}
const App: FC<Props> = (props) => {
    const t = useTranslations("HeaderCom");
    const router = useRouter();
    const goPage = (path = "") => {
        if (path) {
            router.replace("/");
            return;
        }
        router.back();
    };
    return (
        <div className="headerBack">
            <div className="left" onClick={() => goPage()}>
                <span className="iconfont icon-xiangzuo1"></span>
            </div>
            <span className="title">
                {t("Afiliado")}
                <span style={{ fontSize: "0.14rem" }}> - {t("title")}</span>
            </span>
            <span className="right" onClick={() => goPage("home")}>
                <span className="iconfont icon-home_line router-link-active"></span>
            </span>
        </div>
    );
};
export default App;
